import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { TypeOrmModule } from '@nestjs/typeorm'
import { Users } from './users/users.entity';

@Module({
    imports: [],
    controllers: [AppController],
    providers: [AppService],
})

@Module({
    imports: [
        TypeOrmModule.forRoot({
            type: 'mssql',
            host: 'intpointer.com',
            port: 1433,
            username: 'myh',
            password: '20231103#MS_Sql',
            database: 'Elm',
            entities: [Users],
            synchronize: false,
        }),
    ],
})
export class AppModule { }